Simulate a call from an upload
curl --request POST \
--url https://app.api.os.realitydefender.xyz/api/v1/realcall/streams/simulate \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"blobId": "2nYn7qqkM5678Ks99ykvmZAr7pz",
"addCorruption": false
}
'import requests
url = "https://app.api.os.realitydefender.xyz/api/v1/realcall/streams/simulate"
payload = {
"blobId": "2nYn7qqkM5678Ks99ykvmZAr7pz",
"addCorruption": False
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({blobId: '2nYn7qqkM5678Ks99ykvmZAr7pz', addCorruption: false})
};
fetch('https://app.api.os.realitydefender.xyz/api/v1/realcall/streams/simulate', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://app.api.os.realitydefender.xyz/api/v1/realcall/streams/simulate",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'blobId' => '2nYn7qqkM5678Ks99ykvmZAr7pz',
'addCorruption' => false
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://app.api.os.realitydefender.xyz/api/v1/realcall/streams/simulate"
payload := strings.NewReader("{\n \"blobId\": \"2nYn7qqkM5678Ks99ykvmZAr7pz\",\n \"addCorruption\": false\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://app.api.os.realitydefender.xyz/api/v1/realcall/streams/simulate")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"blobId\": \"2nYn7qqkM5678Ks99ykvmZAr7pz\",\n \"addCorruption\": false\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://app.api.os.realitydefender.xyz/api/v1/realcall/streams/simulate")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"blobId\": \"2nYn7qqkM5678Ks99ykvmZAr7pz\",\n \"addCorruption\": false\n}"
response = http.request(request)
puts response.read_body{
"fileId": "2nYn7qqkM5678Ks99ykvmZAr7pz",
"fileProcessingStatus": "COMPLETED"
}{
"code": "BAD_REQUEST",
"message": "The request body contains invalid fields.",
"details": [
{
"field": "email",
"issue": "Must be a valid email address."
}
]
}{
"code": "UNAUTHORIZED",
"message": "Invalid or missing token",
"details": [
{
"field": "email",
"issue": "Must be a valid email address."
}
]
}{
"code": "FORBIDDEN",
"message": "The request body contains invalid fields.",
"details": [
{
"field": "email",
"issue": "Must be a valid email address."
}
]
}{
"code": "NOT_FOUND",
"message": "The request body contains invalid fields.",
"details": [
{
"field": "email",
"issue": "Must be a valid email address."
}
]
}{
"code": "UNPROCESSABLE_ENTITY",
"message": "The request body contains invalid fields.",
"details": [
{
"field": "email",
"issue": "Must be a valid email address."
}
]
}{
"code": "INTERNAL_SERVER_ERROR",
"message": "The request body contains invalid fields.",
"details": [
{
"field": "email",
"issue": "Must be a valid email address."
}
]
}{
"code": "VALIDATION_ERROR",
"message": "The request body contains invalid fields.",
"details": [
{
"field": "email",
"issue": "Must be a valid email address."
}
]
}RealCall
Simulate a call from an upload
Finalizes a pre-signed upload and starts analysis of the uploaded file. Returns the file id; the call is created asynchronously — find it with GET /api/v1/realcall/streams?originalFileId=<fileId>.
POST
/
api
/
v1
/
realcall
/
streams
/
simulate
Simulate a call from an upload
curl --request POST \
--url https://app.api.os.realitydefender.xyz/api/v1/realcall/streams/simulate \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"blobId": "2nYn7qqkM5678Ks99ykvmZAr7pz",
"addCorruption": false
}
'import requests
url = "https://app.api.os.realitydefender.xyz/api/v1/realcall/streams/simulate"
payload = {
"blobId": "2nYn7qqkM5678Ks99ykvmZAr7pz",
"addCorruption": False
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({blobId: '2nYn7qqkM5678Ks99ykvmZAr7pz', addCorruption: false})
};
fetch('https://app.api.os.realitydefender.xyz/api/v1/realcall/streams/simulate', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://app.api.os.realitydefender.xyz/api/v1/realcall/streams/simulate",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'blobId' => '2nYn7qqkM5678Ks99ykvmZAr7pz',
'addCorruption' => false
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://app.api.os.realitydefender.xyz/api/v1/realcall/streams/simulate"
payload := strings.NewReader("{\n \"blobId\": \"2nYn7qqkM5678Ks99ykvmZAr7pz\",\n \"addCorruption\": false\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://app.api.os.realitydefender.xyz/api/v1/realcall/streams/simulate")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"blobId\": \"2nYn7qqkM5678Ks99ykvmZAr7pz\",\n \"addCorruption\": false\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://app.api.os.realitydefender.xyz/api/v1/realcall/streams/simulate")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"blobId\": \"2nYn7qqkM5678Ks99ykvmZAr7pz\",\n \"addCorruption\": false\n}"
response = http.request(request)
puts response.read_body{
"fileId": "2nYn7qqkM5678Ks99ykvmZAr7pz",
"fileProcessingStatus": "COMPLETED"
}{
"code": "BAD_REQUEST",
"message": "The request body contains invalid fields.",
"details": [
{
"field": "email",
"issue": "Must be a valid email address."
}
]
}{
"code": "UNAUTHORIZED",
"message": "Invalid or missing token",
"details": [
{
"field": "email",
"issue": "Must be a valid email address."
}
]
}{
"code": "FORBIDDEN",
"message": "The request body contains invalid fields.",
"details": [
{
"field": "email",
"issue": "Must be a valid email address."
}
]
}{
"code": "NOT_FOUND",
"message": "The request body contains invalid fields.",
"details": [
{
"field": "email",
"issue": "Must be a valid email address."
}
]
}{
"code": "UNPROCESSABLE_ENTITY",
"message": "The request body contains invalid fields.",
"details": [
{
"field": "email",
"issue": "Must be a valid email address."
}
]
}{
"code": "INTERNAL_SERVER_ERROR",
"message": "The request body contains invalid fields.",
"details": [
{
"field": "email",
"issue": "Must be a valid email address."
}
]
}{
"code": "VALIDATION_ERROR",
"message": "The request body contains invalid fields.",
"details": [
{
"field": "email",
"issue": "Must be a valid email address."
}
]
}Authorizations
BearerAuthApiKeyAuth
Body
application/json
Response
Accepted for processing.
Accepted for processing. This returns the created file id, not a call id: the call is created asynchronously. Find the call with GET /api/v1/realcall/streams?originalFileId=<fileId>, which returns an empty items array until the call is ready.